package com.heyu.api.data.dao.device;
/**
* <p>
* 设备信息对话记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.device.DeviceUserTalkRecordEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface DeviceUserTalkRecordDao extends BaseMapper<DeviceUserTalkRecordEntity> {


	DeviceUserTalkRecordEntity selectDeviceUserTalkRecordById(@Param("id")Long id);


	Long insertDeviceUserTalkRecord(DeviceUserTalkRecordEntity deviceUserTalkRecord);


	Long insertOrUpdateDeviceUserTalkRecord(DeviceUserTalkRecordEntity deviceUserTalkRecord);


	int updateDeviceUserTalkRecordById(DeviceUserTalkRecordEntity deviceUserTalkRecord);


	int updateCoverDeviceUserTalkRecordById(DeviceUserTalkRecordEntity deviceUserTalkRecord);


	int deleteDeviceUserTalkRecordById(@Param("id")Long id);


}